# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.adminsettings
Class EncodeUtil

    java.lang.Object
      com.google.gdata.client.appsforyourdomain.adminsettings.EncodeUtil

    public class EncodeUtil

extends java.lang.Object

Utility class with helper methods

Method Summary
`static java.lang.String` `encodeBinaryFile(java.lang.String filePath)` Base64 encodes the given file from path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encodeBinaryFile

    public static java.lang.String encodeBinaryFile(java.lang.String filePath)
                                             throws java.io.IOException

  Base64 encodes the given file from path.

  Parameters:
    `filePath` - location of the file to be encoded.
  Returns:
    string base64 encoded contents of the file
  Throws:
    `java.io.IOException`